#pragma once

#include "Constants.h"
#include "XboxTeleop.h"
#include "Led.h"

class Teleop : public XboxTeleop {
public:
  Teleop();
  ~Teleop() = default;

  // Periodic is called every tick only when in teleop mode
  virtual void Periodic() override;

private:
  void CheckShooter();
  void CheckClimber();
  //void CheckFeeder();
  void CheckIntake();
  void CheckAux();

private:
  Led led;
};
